- Source
Methods
(static) DeleteRating(userid, itemid) → {dynamic}
Deletes a user's saved personal rating for an item. V2: DELETE /UserItems/{itemId}/Rating?userId=
| Name | Type | Description |
|---|---|---|
userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) GetGroupingOptions(id) → {dynamic}
Get user view grouping options. V2: GET /UserViews/GroupingOptions
| Name | Type | Description |
|---|---|---|
id | string |
- Source
- Type:
- dynamic
(static) GetImageURL(id, imagetypeopt, imageindexopt, paramsopt) → {dynamic}
Get user profile image URL. V2: GET /UserImage?userId=&type=&index=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | |||
imagetype | string | <optional> | "primary" | |
imageindex | integer | <optional> | 0 | |
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) GetIntros(_userid, itemid) → {dynamic}
Gets intros to play before the main media item plays. V2: GET /Items/{itemId}/Intros (userId not required — auth token identifies the user)
| Name | Type | Description |
|---|---|---|
_userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) GetItem(userid, itemid, paramsopt) → {dynamic}
Gets an item from a user's library. V2: GET /Items/{itemId}?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
itemid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) GetItemsByQuery(id, paramsopt) → {dynamic}
Gets items based on a query. V2: GET /Items/?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) GetLatestMedia(userid, paramsopt) → {dynamic}
Gets latest media. V2: GET /Items/Latest?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) GetLocalTrailers(_userid, itemid) → {dynamic}
Gets local trailers for an item. V2: GET /Items/{itemId}/LocalTrailers (userId not required)
| Name | Type | Description |
|---|---|---|
_userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) GetResumeItemsByQuery(id, paramsopt) → {dynamic}
Gets resumable items. V2: GET /UserItems/Resume?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) GetRoot(userid) → {dynamic}
Gets the root folder from a user's library. V2: GET /Items/Root
| Name | Type | Description |
|---|---|---|
userid | string |
- Source
- Type:
- dynamic
(static) GetSpecialFeatures(_userid, itemid) → {dynamic}
Gets special features for an item. V2: GET /Items/{itemId}/SpecialFeatures (userId not required)
| Name | Type | Description |
|---|---|---|
_userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) GetSuggestions(id, paramsopt) → {dynamic}
Gets suggestions. V2: GET /Items/Suggestions?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) GetViews(id, paramsopt) → {dynamic}
Get user views. V2: GET /UserViews?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) HeadImageURL(id, imagetypeopt, imageindexopt, paramsopt) → {dynamic}
HEAD user profile image. V2: HEAD /UserImage?userId=&type=&index=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
id | string | |||
imagetype | string | <optional> | "primary" | |
imageindex | integer | <optional> | 0 | |
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) MarkFavorite(userid, itemid) → {dynamic}
Marks an item as a favorite. V2: POST /UserFavoriteItems/{itemId}?userId=
| Name | Type | Description |
|---|---|---|
userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) MarkPlayed(userid, itemid, paramsopt) → {dynamic}
Marks an item as played for user. V2: POST /UserPlayedItems/{itemId}?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
itemid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) MarkPlaying(userid, itemid, paramsopt) → {dynamic}
Reports that a user has begun playing an item. V2: POST /PlayingItems/{itemId}
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
itemid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) MarkStoppedPlaying(userid, itemid, paramsopt) → {dynamic}
Reports that a user has stopped playing an item. V2: DELETE /PlayingItems/{itemId}
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
itemid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) ReportPlayProgress(userid, itemid, paramsopt) → {dynamic}
Reports a user's playback progress. V2: POST /PlayingItems/{itemId}/Progress
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
itemid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) UnmarkFavorite(userid, itemid) → {dynamic}
Unmarks item as a favorite. V2: DELETE /UserFavoriteItems/{itemId}?userId=
| Name | Type | Description |
|---|---|---|
userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) UnmarkPlayed(userid, itemid) → {dynamic}
Marks an item as unplayed for user. V2: DELETE /UserPlayedItems/{itemId}?userId=
| Name | Type | Description |
|---|---|---|
userid | string | |
itemid | string |
- Source
- Type:
- dynamic
(static) UpdateConfiguration(_id, bodyopt) → {dynamic}
Updates a user configuration. V2: POST /Users/Configuration (userId not required — auth token identifies the user)
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
_id | string | |||
body | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) UpdatePassword(_id, bodyopt) → {dynamic}
Updates a user's password. V2: POST /Users/Password (userId not required — auth token identifies the user)
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
_id | string | |||
body | object | <optional> | {} |
- Source
- Type:
- dynamic
(static) UpdateRating(userid, itemid, paramsopt) → {dynamic}
Updates a user's rating for an item. V2: POST /UserItems/{itemId}/Rating?userId=
| Name | Type | Attributes | Default | Description |
|---|---|---|---|---|
userid | string | |||
itemid | string | |||
params | object | <optional> | {} |
- Source
- Type:
- dynamic